#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityGetRichDrawCFGData
{
	//编号
	int mID;
	//累充价格
	int mFullPrice;
	//增加抽奖次数
	int mDrawCount;
};

class M_ActivityGetRichDrawCFG
{
public:
private:
	static std::auto_ptr<M_ActivityGetRichDrawCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityGetRichDrawCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityGetRichDrawCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityGetRichDrawCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityGetRichDrawCFGData> mMapData;
};
